//	2000/10/08 Ogasawara Hiroyuki

#include	<stdio.h>
#include	<sys/types.h>
#include	<sys/stat.h>
#include	<fcntl.h>
#include	<unistd.h>
#include	<math.h>
#include	<time.h>

#include	"futil.h"

int
main( int argc, char **argv )
{
	int	sym= 0;
	if( argc >= 2 && *argv[1] == '-' && argv[1][1] == 's' ){
		argc--;
		argv++;
		sym= 1;
	}
	if( argc >= 3 ){
		char	namebuf[256];
		char	*target= argv[argc-1];
		if( argc > 3 && !IS_DIR( target ) ){
			_ut_simple_put( target );
			_ut_simple_put( " is't dir\n" );
			return	1;
		}
		for(; --argc >= 2 ;){
			int	err;
			if( IS_DIR( *++argv ) ){
				_ut_simple_put( *argv );
				_ut_simple_put( " is dir\n" );
				continue;
			}
			strcpy( namebuf, target );
			if( IS_DIR( target ) ){
				_ut_makename( namebuf, target, *argv );
			}
			if( sym ){
				err= symlink( *argv, namebuf );
			}else{
				err= link( *argv, namebuf );
			}
			if( err < 0 ){
				_ut_simple_put( *argv );
				_ut_simple_put( " ln error\n" );
			}
		}
	}else{
		_ut_simple_put(
			"usage: ln [-s] old new\n"
			"       ln [-s] files.. dir\n"
			);
	}
	return	0;
}

