//	2000/10/02 Ogasawara Hiroyuki

#include	<stdio.h>
#include	<sys/types.h>
#include	<sys/stat.h>
#include	<fcntl.h>
#include	<unistd.h>
#include	<math.h>
#include	<time.h>

#include	"futil.h"

int
main( int argc, char **argv )
{
	if( argc >= 3 ){
		char	namebuf[256];
		char	*target= argv[argc-1];
		if( argc > 3 && !IS_DIR( target ) ){
			_ut_simple_put( target );
			_ut_simple_put( " not dir\n" );
			return	1;
		}
		for(; --argc >= 2 ;){
			if( IS_DIR( *++argv ) ){
				_ut_simple_put( *argv );
				_ut_simple_put( " is dir\n" );
				continue;
			}
			strcpy( namebuf, target );
			if( IS_DIR( target ) ){
				_ut_makename( namebuf, target, *argv );
			}
			if( rename( *argv, namebuf ) < 0 ){
				_ut_simple_put( *argv );
				_ut_simple_put( " mv error\n" );
			}
		}
	}else{
		_ut_simple_put(
			"usage: mv old new\n"
			"       mv files.. dir\n"
			);
	}
	return	0;
}

