/*
	ConsoleLib Copyright 1994-2000 Ogasawara Hiroyuki
*/

#ifndef	__ConsoleLib_
#define	__ConsoleLib_

#define		CONSOLE_WIDTH		80
#define		CONSOLE_HEIGHT		13
#define		CONSOLE_HEIGHTBUF	24
#define		CONSOLE_OFFSET		20
#define		CONSOLE_DEFFONTY	10
#define		CONSOLE_DEFFONTX	4
#define		CONSOLE_FONT		QP40_CHR

#define		CONSOLE_MAXLINE		256

#ifndef	FALSE
# define	FALSE	0
#endif
#ifndef	TRUE
# define	TRUE	1
#endif

typedef struct {
//	APLFORMPTR	Ap;
	WINDOWHD	wp;
	int		CursorX;
	int		CursorY;
	POINT		Pos;
	COLOR		Fg, Bg;
	POINT		Begin, End;
	int		StepX, StepY;
	int		Width, Height;
	char		LineBuf[CONSOLE_WIDTH+2];
	char		*Ptr;
	int		DrawFlag;
	int		Font;
	int		EscFlag;
	int		NumFlag;
	char		ScreenBuf[CONSOLE_HEIGHTBUF][CONSOLE_WIDTH+2];
} FConsole;


extern FConsole	_Cons;

#define		Cp	(&_Cons)

void	ConsoleInit( FConsole *cp, WINDOWHD wp );
void	ConsoleSetScreen( FConsole *cp, int, int, int, int, int );
void	ConsolePrint( FConsole *cp, char *ptr );
void	ConsoleChar( FConsole *cp, int ch );
void	ConsoleFlush( FConsole *cp );
void	ConsoleRedraw( FConsole *cp );
void	ConsoleCls( FConsole *cp );
void	ConsoleDrawCursor( FConsole *cp, int );
//void	KeyPadControl( int );

#endif
